# İptal/İade

Bu servis işlemin iptal veya iade edilmeye uygun olduğunu kontrol ettikten sonra deeplink\_url ve encryption\_key’i döner. Servise istek gönderelebilmek için mobil oturum anahtarı(session\_key) kullanılmalıdır.

## POST /v1/softpos/init\_reversal\_transaction

> İptal / İade Başlatma

```json
{"openapi":"3.0.3","info":{"title":"PayPOS (Paynet) API","version":"1.0.0"},"tags":[{"name":"SoftPOS"}],"servers":[{"url":"https://api.paynet.com.tr","description":"Production"},{"url":"https://pts-api.paynet.com.tr","description":"Sandbox"}],"paths":{"/v1/softpos/init_reversal_transaction":{"post":{"summary":"İptal / İade Başlatma","tags":["SoftPOS"],"parameters":[{"name":"Session-Key","in":"header","required":true,"description":"Mobil oturum anahtarı.","schema":{"type":"string"}},{"$ref":"#/components/parameters/ContentTypeHeader"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InitReversalRequest"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InitReversalResponse"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"parameters":{"ContentTypeHeader":{"name":"Content-Type","in":"header","required":true,"description":"İçerik tipi.","schema":{"type":"string"}}},"schemas":{"InitReversalRequest":{"type":"object","required":["xact_id"],"properties":{"xact_id":{"type":"string","description":"İşlemin Id'sinin şifrelenmiş hali."},"reference_no":{"type":"string","description":"Referans numarası."},"callback_url":{"type":"string","description":"Deeplink ile mobil uygulamaya geri dönülecek adres.","nullable":true}}},"InitReversalResponse":{"type":"object","properties":{"payment_session_id":{"type":"string","description":"Payment Session Id."},"deeplink_url":{"type":"string","description":"Deeplink adresi."},"encryption_key":{"type":"string","description":"Şifreleme anahtarı."},"object_name":{"type":"string","description":"Obje türü."},"code":{"type":"integer","description":"Sonuç kodu."},"message":{"type":"string","description":"Sonuç mesajı."}}},"ErrorResponse":{"type":"object","properties":{"object_name":{"type":"string","description":"Obje türü."},"code":{"type":"integer","description":"Sonuç kodu."},"message":{"type":"string","description":"Sonuç mesajı."}}}}}}
```
